.header {
  flex: 0 0 auto;
  position: relative;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 50;
  &__wrapper {
    position: sticky;
    top: 0;
    background-color: #1F3C6D;
  }


  &__top {
    position: relative;
    z-index: 10;
    height: 56px;
    border-bottom: 1px solid #5B7FBD;
  }

}


.main-image-mobile {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 468px;
  z-index: -999;
  @media (min-width: $md4 + px) {
    display: none;
  }
}

.main-image-desktop {
  display: none;
  @media (min-width: $md4 + px) {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 468px;
    z-index: -999;
    @media (min-width: 1920px) {
      background-size: 100%;
    }
  }

}

.menu {
  @media (min-width: $md3 + px) {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 8px;
  }

  &__toggle {
    opacity: 0;
  }

  #menu__toggle:checked ~
  &__btn > span {
    transform: rotate(45deg);
  }

  #menu__toggle:checked ~
  &__btn > span::before {
    top: 0;
    transform: rotate(0);
  }

  #menu__toggle:checked ~
  &__btn > span::after {
    top: 0;
    transform: rotate(90deg);
  }


  &__btn {
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    margin: 16px;
    width: 21px;
    height: 21px;
    cursor: pointer;
    z-index: 1;
    @media (min-width: $md2 + px) {
      display: none;
    }

    span, span::before, span::after {
      display: block;
      position: absolute;
      width: 100%;
      height: 2px;
      background-color: #FFFFFF;
    }

    span::before {
      content: '';
      top: -8px;
    }

    span::after {
      content: '';
      top: 8px;
    }
  }

  &__body {
    display: flex;
    align-items: center;
    justify-content: space-between;
    @media (min-width: $md3 + px) {
      flex: 1 1 33.333%;
    }
  }

  .contacts {
    display: none;
    @media (min-width: $md2 + px) {
      display: flex;
      &__number {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        display: flex;
        align-items: center;
        color: #FFFFFF;
        margin-right: 40px;

        &:hover {
          color: $dark-white;
        }
      }
      &__call {
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: "BebasNeue";
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        letter-spacing: 0.05em;
        color: #FFFFFF;
        width: 142px;
        height: 40px;
        background: #FF6031;
        border: none;
        cursor: pointer;

        &:hover {
          background-color: #FF420A;
        }
      }
    }

  }


  &__messengers {
    display: flex;

    ._icon-whatsapp, ._icon-telegram, ._icon-phone-call {
      font-size: 12px;
      text-align: center;
      justify-content: center;
      display: flex;
      border-radius: 50%;
      align-items: center;
      width: 24px;
      height: 24px;
      @media (min-width: $md3 + px) {
        display: none;
      }
    }
    ._icon-whatsapp {
      color: #FFFFFF;
      background-color: #43D854;
    }
    ._icon-telegram {
      margin: 0 8px;
      color: #FFFFFF;
      background-color: #28A8EA;
    }
    ._icon-phone-call {
      margin-right: 8px;
      color: #FFFFFF;
      background-color: #FF6031;
    }
  }
  .desktop-messengers {
    display: none;
    @media (min-width: $md3 + px) {
      display: flex;
    }

    &__whatsapp-desktop {
      width: 136px;
      height: 40px;
      background-color: #43D854;
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 0 8px;
      font-family: "Montserrat";
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 24px;
      color: #FFFFFF;
      &:hover{
        opacity: .9;
      }
      &._icon-whatsapp::before {
        padding-right: 10px;
        font-size: 20px;
      }
    }

    &__telegram-desktop {
      width: 136px;
      height: 40px;
      background-color: #28A8EA;
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 0 8px;
      font-family: "Montserrat";
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 24px;
      color: #FFFFFF;
      &:hover{
        opacity: .9;
      }

      &._icon-telegram::before {
        padding-right: 10px;
        font-size: 20px;
      }
    }

  }
}

.desktop-contacts {
  display: flex;
  flex-direction: column;
  @media (min-width: $md2 + px) {
    display: none;
  }

  &__number {
    font-family: 'Source Sans Pro';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;

    &._icon-phone-call::before {
      font-size: 16px;
      padding-right: 6px;
    }
  }

  &__call {
    font-family: "BebasNeue";
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.05em;
    color: #FFFFFF;
    width: 162px;
    height: 44px;
    background: #FF6031;
    border: none;
    margin: 20px auto;
  }
}

.logo-menu {
  margin-left: 50px;
  @media (min-width: $md2 + px) {
    margin: 0;
  }

  &__image {
    width: 120px;
    height: 20px;
  }
}

.navigation {

  &__wrapper-sublist {
    display: none;
  }

  &__title {
    font-family: 'SourceSansPro';
    font-style: normal;
    font-weight: 700;
    padding: 6px 24px;
    font-size: 22px;
    color: #111111;
    text-align: left;
  }
}

.menu-active {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.navigation__body-product {
  overflow-x: hidden;
  position: absolute;
  top: 0;
  right: 0;
  left: -5px;
  width: 0;
  padding: 20px 0;
  list-style: none;
  text-align: center;
  background-color: #19396d;
  transition: .5s;
  box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);

}

.navigation__border {
  border-top: 1px solid #5B7FBD;
}

.navigation__border:last-child {
  border-bottom: 1px solid #5B7FBD;
}

.navigation__link {
  display: flex;
  justify-content: flex-start;
  position: relative;
  padding: 12px 24px;
  font-weight: 600;
  text-decoration: none;
  text-align: left;
  font-family: 'SourceSansPro';
  font-style: normal;
  font-size: 24px;
  line-height: 32px;
  color: #FFFFFF;
  text-transform: uppercase;
  @media (min-width: $md4 + px) {
    justify-content: center;
  }
  &._icon-down-chevron::before {
    position: absolute;
    right: 10%;
    bottom: 40%;
    width: 20px;
    font-size: 16px;
    transform: rotate(-90deg);
  }
}

.navigation__sub-link-mb {
  padding: 4px 26px;
  font-weight: 600;
  text-decoration: none;
  text-align: left;
  font-family: 'SourceSansPro';
  font-style: normal;
  font-size: 16px;
  line-height: 32px;
  color: #111111;
}

.navigation__item-product {
  &:hover {
    display: block;
  }
}


.bottom-header {
  position: relative;
  z-index: 10;

  &__navigation {
    position: absolute;

    &__list-product {
      display: flex;
      flex-direction: column;
    }

    &__list-product {
      display: flex;
      flex-direction: column;
    }
  }
}

.navigation__list-tools {
  background-color: #122c57;
}


.mobile-contacts {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  &__number {
    font-family: 'SourceSansPro';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 32px;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    margin: 10px 0;

    &._icon-phone-call::before {
      padding-right: 6px;
      font-size: 16px;
    }

  }

  &__call {
    font-family: "SourceSansPro";
    display: flex;
    justify-items: center;
    align-items: center;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.05em;
    color: #FFFFFF;
    width: 185px;
    height: 47px;
    background: #FF6031;
    border: none;
    margin: 10px 0 30px 0;
    padding: 12px 24px;

  }
}

.catalog-header {
  background-color: #FFFFFF;
  color: #111111;
  position: relative;
}

.menu-catalog {
  &__list {
    display: flex;
    justify-content: space-between;
    gap: 10px;
  }

  &__link {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  &__sub-menu {
    position: absolute;
    width: 100%;
    left: 0;
    top: 100%;
    background-color: #FFFFFF;
  }
}

.sub-menu-catalog {
  &__block {
    display: flex;
    gap: 15px;
    justify-content: space-between;
  }

  &__column {
    flex: 1 1 auto;
    display: grid;
    gap: 30px;
    justify-items: start;
  }

  &__category {
    font-size: 16px;
  }

  &__list {
    display: grid;
    gap: 20px;
  }
}

.header-bottom__wrapper {
  display: flex;
  justify-content: space-between;
  @media (max-width: $md2 + px) {
    display: none;
  }
}

.desktop-header-bottom {

  &__dropdown {
    position: relative;
    display: inline-block;
    margin-right: 40px;

    &:hover {
      .desktop-header-bottom__dropdown-content {
        display: block;
      }
    }
  }

  &__dropbtn {
    position: relative;
    font-family: 'SourceSansPro';
    padding: 20px 20px 20px 0;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    display: flex;
    align-items: center;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    background: none;
    border: none;
    color: #FFFFFF;
    transition: all 0.5s ease-out;

    &._icon-down-chevron::before {
      position: absolute;
      right: 0;
      padding-left: 10px;
      font-size: 12px;

    }

    &:hover {
      background-color: #A9D836;
    }

  }

  &__dropdown-content {
    display: none;
    position: absolute;
    background-color: #FFFFFF;
    cursor: default;
    width: 800px;
    height: auto;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;

    @media (max-width: $md1 + px) {
      max-width: 600px;
      width: auto;
    }
  }

  &__title {
    font-family: 'SourceSansPro';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    color: #111111;
    max-width: 220px;
    text-align: left;
    padding: 20px 30px;

  }

  &__wrapper {
    display: flex;
    flex-direction: row;
    align-items: flex-start;

  }

  &__body {
    display: flex;
    flex-direction: column;

  }

  &__link {
    color: black;
    padding: 16px 32px;
    text-decoration: none;
    font-family: 'SourceSansPro';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    width: 50px;
    display: flex;
    align-items: center;
    color: #111111;

    &:hover {
      color: #5B7FBD;
    }
  }
}

.right-menu-header {
  &__list {
    display: flex;
  }

  &__link {
    font-family: 'SourceSansPro';
    padding: 20px 0 20px 40px;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    display: flex;
    align-items: center;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    color: #FFFFFF;

    &:hover {
      color: $dark-white;
    }
  }

}


.content-header {
  &__text {
    font-family: "Montserrat";
    margin: 64px 0 80px 14px;
    font-style: normal;
    font-weight: 700;
    font-size: 40px;
    line-height: 56px;
    max-width: 260px;
    display: flex;
    align-items: center;
    color: $white;
    @media (min-width: $md4 + px) {
      width: 400px;
      max-width: 400px;
      font-size: 54px;
      line-height: 58px;
    }
    @media (min-width: $md3 + px) {
      margin: 64px 0 60px 14px;
      font-size: 60px;
      line-height: 98px;
      max-width: 90%;
      width: 812px;
    }
    @media (min-width: $md2 + px) {
      margin: 14px 0 60px 14px;
      font-size: 80px;
    }
  }

  .description {
    @media (min-width: $md4 + px) {
      display: flex;
      justify-content: flex-start;
      align-items: flex-start;
    }


    &__text {
      font-family: 'BebasNeue';
      max-width: 170px;
      margin: 0 0 4px 14px;
      font-style: normal;
      font-weight: 700;
      font-size: 16px;
      line-height: 20px;
      display: flex;
      align-items: center;
      letter-spacing: 0.05em;
      color: $black;
      @media (min-width: $md4 + px) {
        font-size: 18px;
        line-height: 24px;
      }
      @media (min-width: $md1 + px) {
        max-width: 200px;
        width: 180px;
        padding-bottom: 40px;
      }

      &.correct {

      }

      &._icon-delivery::before {
        padding-bottom: 30px;
        margin-right: 4px;
        @media (min-width: $md4 + px) {
          padding-bottom: 0;
        }
      }

      &._icon-crown::before, &._icon-purse::before {
        margin-right: 4px;

      }

    }
  }


}

.block-modal {
  height: 100vh;
  width: 100vw;
  background: rgba(255, 255, 255, 0.2);
  display: none;
  position: fixed;
  z-index: 99;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;

  &__content {
    position: relative;
    margin: auto;
    padding: 0;
    -webkit-animation-name: animate-to-top;
    -webkit-animation-duration: 0.4s;
    animation-name: animate-to-top;
    animation-duration: 0.4s;
    width: 490px;
    height: 470px;
    background: #FFFFFF;
    box-shadow: 0px 4px 40px rgba(88, 88, 88, 0.82);
    border-radius: 10px;
    @media (max-width: $md4 + px) {
      width: 300px;
      height: 540px;
    }
  }

  &__header {
    padding: 2px 16px;
    color: #000000FF;
  }

  &__close {
    color: #6b5e5e;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;

    &:hover:focus {
      color: #000;
      text-decoration: none;
      cursor: pointer;
    }
  }

  &__title {
    font-family: 'BebasNeue';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    text-align: center;
    letter-spacing: 0.05em;
    margin-top: 40px;
    color: #111111;
  }

  &__sub-title {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #111111;
    padding: 16px 0 28px 0;
  }

  &__contacts-data {
    display: flex;
    flex-direction: column;
  }

  &__input-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: auto;

    &._icon-phone-call::before {
      position: absolute;
      font-size: 18px;
      color: #5B7FBD;
      left: 2%;
      bottom: 18%;
    }

    &._icon-user::before {
      position: absolute;
      font-size: 18px;
      color: #5B7FBD;
      left: 2%;
      bottom: 18%;
    }
  }

  &__for-name, &__for-number, &__for-mail {
    padding: 10px 0 5px 0;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    color: #CACACA;
  }

  &__input-name, &__input-number, &__input-mail {
    width: 320px;
    height: 40px;
    background: #F5F4F0;
    border: 1px solid #CACACA;
    padding-left: 30px;
    @media (max-width: $md4 + px) {
      width: 260px;
    }
  }

  &__btn-get-contacts {
    font-family: "BebasNeue";
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.05em;
    color: #FFFFFF;
    width: 170px;
    height: 48px;
    background: #FF6031;
    border: none;
    margin: 40px auto;
  }
}

@-webkit-keyframes animate-to-top {
  from {
    top: -300px;
    opacity: 0
  }
  to {
    top: 0;
    opacity: 1
  }
}

@keyframes animate-to-top {
  from {
    top: -300px;
    opacity: 0
  }
  to {
    top: 0;
    opacity: 1
  }
}

.icon-mail {
  border: none;
  width: 20px;
  height: 20px;
  position: absolute;
  bottom: 18%;
  left: 2%;
}